local SideBarSevenDayCell = class("SideBarSevenDayCell", SideBarBaseCell)

function SideBarSevenDayCell:getCellName()
    return I18N:getGlobalText(I18N.GlobalConst.ACT_SEVENDAY)
end

function SideBarSevenDayCell:getModuleKey()
    return ModuleManager.MODULE_KEY.ACT_SEVENDAY
end

function SideBarSevenDayCell:getIsOpen()
    return DataManager.ActSevenDayData:isOpen()
end

function SideBarSevenDayCell:getSpineName()
    return "ui_main_btn_act_sevenday"
end

function SideBarSevenDayCell:onClick()
    ModuleManager.ActSevenDayManager:showMainUI()
end

function SideBarSevenDayCell:getIsShowRedPoint()
    return DataManager.ActSevenDayData:hasRedPoint()
end

return SideBarSevenDayCell